//----------------------------------------------------------------
//  Copyright (c) by Dynalith Systems Co., Ltd.
//  All right reserved.
//  http://www.dynalith.com
//----------------------------------------------------------------
// bram_ahb.v
//----------------------------------------------------------------
// VERSION: 2009.01.22.
//----------------------------------------------------------------

module TB_fifo ();

parameter LENGTH_ADD = 32;
parameter LENGTH_DATA = 8;

// STATE
parameter ST_IDLE = 2'b00;
parameter ST_REQ = 2'b01;
parameter ST_OUT = 2'b10;
parameter ST_DONE = 2'b11;

reg CLK;
reg reset;
wire [LENGTH_DATA-1:0] Data_o;
wire [1:0] WE_2;
wire [LENGTH_ADD-1:0] ADD_2;
reg ENABLE;

wire CLK_O;
reg [LENGTH_DATA-1:0] Data_i;
wire [LENGTH_ADD-1:0] ADD_1;
wire [1:0] WE_1;
wire LED_OP;
wire LED_DONE;

integer i=0;

fifo U0 (
	.CLK(CLK), 
	.reset(reset), 
	.Data_o(Data_o), 
	.WE_2(WE_2), 
	.ADD_2(ADD_2), 
	.ENABLE(ENABLE), 
	.CLK_O(CLK_O), 
	.Data_i(Data_i), 
	.ADD_1(ADD_1), 
	.WE_1(WE_1), 
	.LED_OP(LED_OP), 
	.LED_DONE(LED_DONE));

initial begin
	CLK = 1'b0;
	reset = 1'b1;
	ENABLE = 1'b0;

	Data_i = 8'b00000000;

	#100 ENABLE = 1'b1;

	#150 reset = 1'b0;
end

always begin
	#10 CLK = ~CLK;
end

always begin
	for(i=0; i<255; i=i+1)
		#100 Data_i = Data_i + i;
 
end


endmodule   
  
