//----------------------------------------------------------------
//  Copyright (c) by Dynalith Systems Co., Ltd.
//  All right reserved.
//  http://www.dynalith.com
//----------------------------------------------------------------
// bram_ahb.v
//----------------------------------------------------------------
// VERSION: 2009.01.22.
//----------------------------------------------------------------
`timescale 1ns/1ps
module TB_mem_test();

reg HCLK, RESET;
reg [31:0] T_ADDR;
reg [31:0] T_DW;
reg [3:0] T_WE;
reg sram_sel;
reg [3:0] EN;

wire [31:0] T_DR;

wire LED_OP, LED_DONE;

integer i;

mem_test U_mem_test(
  .EN(EN),
	.HCLK(HCLK), 
	.RESET(RESET), 
	.T_ADDR(T_ADDR), 
	.T_DW(T_DW), 
	.T_WE(T_WE), 
	.T_DR(T_DR), 
	.sram_sel(sram_sel), 
	.LED_OP(LED_OP), 
	.LED_DONE(LED_DONE));

initial begin
  EN=4'b1111;
	HCLK = 1'b0;
	RESET = 1'b1;
	T_ADDR = 0;
	T_DW = 0;
	T_WE = 0;
	sram_sel = 1'b0;


	
	#150 RESET = 1'b0;
	#300 sram_sel =1'b1;

	#3000000 sram_sel = 1'b0;
	
	#500 RESET = 1'b1;
	#100 RESET = 1'b0;

	for(i=0 ; i!= 32768; i=i+1)
		#40 T_ADDR = T_ADDR + 4;



end

always begin
	#10 HCLK = ~HCLK;
end



       

endmodule
